Loading...
Searching...
No Matches
GxUiRadioMenu Class Reference

`#include <gx_main_window.h>`

## Public Member Functions

| GxUiRadioMenu (gx_engine::GxMachineBase &machine, const std::string &id)
void | setup (UIManager &uimanager)

## Private Member Functions

void | set_value (int v)
void | on_changed (const Glib::VariantBase &value)

## Private Attributes

gx_engine::GxMachineBase & | machine
const std::string | id
Glib::RefPtr< Gio::SimpleAction > | action

## Detailed Description

Definition at line 696 of file gx_main_window.h.

## Constructor & Destructor Documentation

## GxUiRadioMenu()

GxUiRadioMenu::GxUiRadioMenu | ( | gx_engine::GxMachineBase & | machine,
|  | const std::string & | id )

## Member Function Documentation

## on_changed()

void GxUiRadioMenu::on_changed | ( | const Glib::VariantBase & | value | ) |

private

## set_value()

void GxUiRadioMenu::set_value | ( | int | v | ) |

private

## setup()

void GxUiRadioMenu::setup | ( | UIManager & | uimanager | ) |

## Member Data Documentation

## action

Glib::RefPtr<Gio::SimpleAction> GxUiRadioMenu::action

private

Definition at line 700 of file gx_main_window.h.

## id

const std::string GxUiRadioMenu::id

private

Definition at line 699 of file gx_main_window.h.

## machine

gx_engine::GxMachineBase& GxUiRadioMenu::machine

private

Definition at line 698 of file gx_main_window.h.

Referenced by GxUiRadioMenu().

The documentation for this class was generated from the following file:

- src/headers/gx_main_window.h